@charset "UTF-8";

/*共通部分*/
html {
    font-size: 16px;
    scroll-behavior: smooth; /*リンクによるジャンプの際スクロールで動く*/
}

body {
    font-family: "Helvetica", "ヒラギノ丸ゴ ProN";
    line-height: 1.7;
    color: white;
    background-color: black;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
}

h2{text-transform: uppercase}
h3{text-transform: uppercase}

/*HEADER*/
.logo {
    width: 20%;
    margin-top: 22px;
}

.main-nav {
    display: flex;
    text-transform: uppercase;
    margin-top: 34px;
    list-style: none;
}

.main-nav li {
    margin-right: 36px;
}

.main-nav a {
    font-size: 1.5vw;
    color: white;
}

.main-nav a:hover {
    color:#0bd;
}

.page-header {
    background: black;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 3;
    width: 100%;
}

/* HOME */
.page-title {
    text-align: center;
    margin-top: 5%;
    padding: 23%;
    font-size: 4.0vw;
    font-family: serif;
    position: relative;
    z-index: 2;
}

/*背景画像*/
.big-bg {
    background-image: url("image/rocket.png");
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}

.big-bg::before {
    position: absolute;
    content: '';
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}


/* about*/
.title {
    text-align: center;
    margin-top: 20%;
    font-size: 20px;
}


.about {
    text-align: center;
    margin-top: 15%;
}

.about-image{
    background-image: url("image/about2.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: top;
}

#about-anchor{
    margin-top: 15%;
    padding-top: 15%;
}

.content {
    margin-top: 10%;
    margin-right: auto;
    margin-left: auto;
    width: 70%;
    padding-bottom: 15%;
}

/* contest */

.contest {
    margin-top: 5%;
    text-align: center;
}

#contest-anchor{
    margin-top: 5%;
}

ul{
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.rocket-content {
    margin-top: 10%;
    margin-left: 5%;
    margin-right: 5%;
    display: flex;
    align-items: center;
}

.rocket-text {
    width: 50%;
    text-align: center;
    margin-left: 10%;
    flex-grow: 1;
}

.rocket-title {
    text-align: center;
    font-size: 23px;
    margin-bottom: 5%;
}

.contest-rocket-img {
    width: 25%;
    height: auto;
}

/* our rockets */
.our-rockets{
    margin-top: 20%;
    margin-bottom: 10%;
    text-align: center;
}

.rockets{
    margin-top: 10%;
    margin-left: 5%;
    margin-right: 5%;
}

.rocket-name{
    font-size: 23px;
    text-align: center;
    margin-bottom: 5%;
    clear: both;
}

.rockets-description{
    display: table-cell;
}

.rockets-img{
	margin-right: 5%;
    float: left;
}

.our-rockets-texts{
    text-align: start;
}

/*photo*/
/* .photo {
    text-align: center;
    margin-top: 30%;
}

.grid {
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(3,minmax(110px,1fr));
    margin-top: 6%;
    margin-bottom: 50px;
} */

/*モバイル版*/
@media screen and (max-width:520px) {
    .main-nav a {
        font-size: 10px;
        color: white;
    }

    .logo {
        width: 150px;
    }

    .main-nav li {
        margin-right: 20px;
    }

    .page-title {
        margin-top: 25%;
    }

    .contest-rocket-img {
        width: 45%;
    }

    .rocket-text {
        width: 45%;
        text-align: center;
        margin-left: 5%;
        font-size: 14px;
    }

    .rockets-img{
        width: 45%;
    }

    .our-rockets-texts{
        font-size: 14px;
    }
}